# CurrentAccount

Represents the current account that is bound to the SDK instance

## Hierarchy

↳ [Account](/polymesh-sdk-api-reference/docs-v2/classes/account.md)

↳ **CurrentAccount**

## Index

### Properties

* [address](/polymesh-sdk-api-reference/docs-v2/classes/currentaccount.md#address)
* [authorizations](/polymesh-sdk-api-reference/docs-v2/classes/currentaccount.md#authorizations)
* [context](/polymesh-sdk-api-reference/docs-v2/classes/currentaccount.md#protected-context)
* [key](/polymesh-sdk-api-reference/docs-v2/classes/currentaccount.md#key)
* [uuid](/polymesh-sdk-api-reference/docs-v2/classes/currentaccount.md#uuid)

### Methods

* [getBalance](/polymesh-sdk-api-reference/docs-v2/classes/currentaccount.md#getbalance)
* [getIdentity](/polymesh-sdk-api-reference/docs-v2/classes/currentaccount.md#getidentity)
* [getTransactionHistory](/polymesh-sdk-api-reference/docs-v2/classes/currentaccount.md#gettransactionhistory)
* [generateUuid](/polymesh-sdk-api-reference/docs-v2/classes/currentaccount.md#static-generateuuid)
* [unserialize](/polymesh-sdk-api-reference/docs-v2/classes/currentaccount.md#static-unserialize)

## Properties

### address

• **address**: *string*

*Inherited from* [*Account*](/polymesh-sdk-api-reference/docs-v2/classes/account.md)*.*[*address*](/polymesh-sdk-api-reference/docs-v2/classes/account.md#address)

*Defined in* [*src/api/entities/Account.ts:47*](https://github.com/PolymathNetwork/polymesh-sdk/blob/5b409784/src/api/entities/Account.ts#L47)

Polymesh-specific address of the account. Serves as an identifier

### authorizations

• **authorizations**: [*Authorizations*](/polymesh-sdk-api-reference/docs-v2/classes/authorizations.md)*‹*[*Account*](/polymesh-sdk-api-reference/docs-v2/classes/account.md)*›*

*Inherited from* [*Account*](/polymesh-sdk-api-reference/docs-v2/classes/account.md)*.*[*authorizations*](/polymesh-sdk-api-reference/docs-v2/classes/account.md#authorizations)

*Defined in* [*src/api/entities/Account.ts:55*](https://github.com/PolymathNetwork/polymesh-sdk/blob/5b409784/src/api/entities/Account.ts#L55)

### `Protected` context

• **context**: [*Context*](/polymesh-sdk-api-reference/docs-v2/classes/context.md)

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v2/classes/entity.md)*.*[*context*](/polymesh-sdk-api-reference/docs-v2/classes/entity.md#protected-context)

*Defined in* [*src/api/entities/Entity.ts:48*](https://github.com/PolymathNetwork/polymesh-sdk/blob/5b409784/src/api/entities/Entity.ts#L48)

### key

• **key**: *string*

*Inherited from* [*Account*](/polymesh-sdk-api-reference/docs-v2/classes/account.md)*.*[*key*](/polymesh-sdk-api-reference/docs-v2/classes/account.md#key)

*Defined in* [*src/api/entities/Account.ts:52*](https://github.com/PolymathNetwork/polymesh-sdk/blob/5b409784/src/api/entities/Account.ts#L52)

public key of the account. This is a hex representation of the address that is transversal to any Substrate chain

### uuid

• **uuid**: *string*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v2/classes/entity.md)*.*[*uuid*](/polymesh-sdk-api-reference/docs-v2/classes/entity.md#uuid)

*Defined in* [*src/api/entities/Entity.ts:46*](https://github.com/PolymathNetwork/polymesh-sdk/blob/5b409784/src/api/entities/Entity.ts#L46)

## Methods

### getBalance

▸ **getBalance**(): *Promise‹*[*AccountBalance*](/polymesh-sdk-api-reference/docs-v2/interfaces/accountbalance.md)*›*

*Inherited from* [*Account*](/polymesh-sdk-api-reference/docs-v2/classes/account.md)*.*[*getBalance*](/polymesh-sdk-api-reference/docs-v2/classes/account.md#getbalance)

*Defined in* [*src/api/entities/Account.ts:75*](https://github.com/PolymathNetwork/polymesh-sdk/blob/5b409784/src/api/entities/Account.ts#L75)

Get the free/locked POLYX balance of the account

**`note`** can be subscribed to

**Returns:** *Promise‹*[*AccountBalance*](/polymesh-sdk-api-reference/docs-v2/interfaces/accountbalance.md)*›*

▸ **getBalance**(`callback`: [SubCallback](/polymesh-sdk-api-reference/docs-v2/globals.md#subcallback)‹[AccountBalance](/polymesh-sdk-api-reference/docs-v2/interfaces/accountbalance.md)›): *Promise‹*[*UnsubCallback*](/polymesh-sdk-api-reference/docs-v2/globals.md#unsubcallback)*›*

*Inherited from* [*Account*](/polymesh-sdk-api-reference/docs-v2/classes/account.md)*.*[*getBalance*](/polymesh-sdk-api-reference/docs-v2/classes/account.md#getbalance)

*Defined in* [*src/api/entities/Account.ts:76*](https://github.com/PolymathNetwork/polymesh-sdk/blob/5b409784/src/api/entities/Account.ts#L76)

**Parameters:**

| Name       | Type                                                                                                                                                          |
| ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `callback` | [SubCallback](/polymesh-sdk-api-reference/docs-v2/globals.md#subcallback)‹[AccountBalance](/polymesh-sdk-api-reference/docs-v2/interfaces/accountbalance.md)› |

**Returns:** *Promise‹*[*UnsubCallback*](/polymesh-sdk-api-reference/docs-v2/globals.md#unsubcallback)*›*

### getIdentity

▸ **getIdentity**(): *Promise‹*[*CurrentIdentity*](/polymesh-sdk-api-reference/docs-v2/classes/currentidentity.md) *| null›*

*Overrides* [*Account*](/polymesh-sdk-api-reference/docs-v2/classes/account.md)*.*[*getIdentity*](/polymesh-sdk-api-reference/docs-v2/classes/account.md#getidentity)

*Defined in* [*src/api/entities/CurrentAccount.ts:10*](https://github.com/PolymathNetwork/polymesh-sdk/blob/5b409784/src/api/entities/CurrentAccount.ts#L10)

Retrieves the current Identity (null if there is none)

**Returns:** *Promise‹*[*CurrentIdentity*](/polymesh-sdk-api-reference/docs-v2/classes/currentidentity.md) *| null›*

### getTransactionHistory

▸ **getTransactionHistory**(`filters`: object): *Promise‹*[*ResultSet*](/polymesh-sdk-api-reference/docs-v2/interfaces/resultset.md)*‹*[*ExtrinsicData*](/polymesh-sdk-api-reference/docs-v2/interfaces/extrinsicdata.md)*››*

*Inherited from* [*Account*](/polymesh-sdk-api-reference/docs-v2/classes/account.md)*.*[*getTransactionHistory*](/polymesh-sdk-api-reference/docs-v2/classes/account.md#gettransactionhistory)

*Defined in* [*src/api/entities/Account.ts:125*](https://github.com/PolymathNetwork/polymesh-sdk/blob/5b409784/src/api/entities/Account.ts#L125)

Retrieve a list of transactions signed by this account. Can be filtered using parameters

**Parameters:**

▪`Default value` **filters**: *object*= {}

| Name           | Type                       | Description                                   |
| -------------- | -------------------------- | --------------------------------------------- |
| `blockNumber?` | BigNumber                  | -                                             |
| `orderBy?`     | TransactionOrderByInput    | -                                             |
| `size?`        | undefined \| number        | page size                                     |
| `start?`       | undefined \| number        | page offset                                   |
| `success?`     | undefined \| false \| true | whether the transaction was successful or not |
| `tag?`         | TxTag                      | tag associated with the transaction           |

**Returns:** *Promise‹*[*ResultSet*](/polymesh-sdk-api-reference/docs-v2/interfaces/resultset.md)*‹*[*ExtrinsicData*](/polymesh-sdk-api-reference/docs-v2/interfaces/extrinsicdata.md)*››*

### `Static` generateUuid

▸ **generateUuid**‹**Identifiers**›(`identifiers`: Identifiers): *string*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v2/classes/entity.md)*.*[*generateUuid*](/polymesh-sdk-api-reference/docs-v2/classes/entity.md#static-generateuuid)

*Defined in* [*src/api/entities/Entity.ts:14*](https://github.com/PolymathNetwork/polymesh-sdk/blob/5b409784/src/api/entities/Entity.ts#L14)

Generate the Entity's UUID from its identifying properties

**Type parameters:**

▪ **Identifiers**: *object*

**Parameters:**

| Name          | Type        | Description |
| ------------- | ----------- | ----------- |
| `identifiers` | Identifiers |             |

**Returns:** *string*

### `Static` unserialize

▸ **unserialize**‹**Identifiers**›(`serialized`: string): *Identifiers*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v2/classes/entity.md)*.*[*unserialize*](/polymesh-sdk-api-reference/docs-v2/classes/entity.md#static-unserialize)

*Defined in* [*src/api/entities/Entity.ts:23*](https://github.com/PolymathNetwork/polymesh-sdk/blob/5b409784/src/api/entities/Entity.ts#L23)

Unserialize a UUID into its Unique Identifiers

**Type parameters:**

▪ **Identifiers**: *object*

**Parameters:**

| Name         | Type   | Description         |
| ------------ | ------ | ------------------- |
| `serialized` | string | UUID to unserialize |

**Returns:** *Identifiers*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-v2/classes/currentaccount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
